/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mx.metadata;

import java.util.Map;

import javax.management.MBeanInfo;
import javax.management.NotCompliantMBeanException;

import org.dom4j.Element;

import org.jboss.mx.modelmbean.XMBeanConstants;


/**
 * @TODO
 */
public class JBossXMBean12
   extends AbstractBuilder
   implements XMBeanConstants
{

   // Attributes ----------------------------------------------------

   /**
    * The class name of the Model MBean implementation class.
    */
   private final String mmbClassName;

   /**
    * The class name of the resource object represented by this Model MBean.
    */
   private final String resourceClassName;


   private final Element element;

   // Constructors --------------------------------------------------

   /**
    * Initialized a parser for the JBossMX 1.2 XMBean schema.
    *
    * @param   mmbClassName      the name of the Model MBean implementation class
    * @param   resourceClassName the name of the resource class this Model
    *                            MBean represents
    * @param   url               URL to the XMBean management interface definition
    */
   public JBossXMBean12(String mmbClassName, String resourceClassName, Element element, Map properties)
   {
      super();
      this.mmbClassName = mmbClassName;
      this.resourceClassName = resourceClassName;
      this.element = element;
      setProperties(properties);
   }



   // MetaDataBuilder implementation --------------------------------

   public MBeanInfo build() throws NotCompliantMBeanException
   {
      //Well? This is the replacement of the deprecated 1.0 xmbean???
      return null;
   }



}


