/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.cluster.apache_tomcat;

import junit.framework.Test;
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.HttpMethod;
import org.apache.commons.httpclient.methods.GetMethod;
import org.jboss.test.JBossClusteredTestCase;

/**
 * Clustering test case of get/set under scoped class loader.
 * Trigger type is set only, i.e., get is not dirty.
 * And replication granularity is attribute based.
 *
 * @author Ben Wang
 * @version $Revision: 1.0
 */
public class ScopedSetAttributeTestCase
      extends ScopedTestCase
{

   public ScopedSetAttributeTestCase(String name)
   {
      super(name);

   }

   public static Test suite() throws Exception
   {
      Test t1 = JBossClusteredTestCase.getDeploySetup(ScopedSetAttributeTestCase.class,
            "http-scoped-set-attr.war");
      return t1;
   }


   /**
    * Test session modify with non-primitive get/modify.
    *
    * @throws Exception
    */
   public void testNonPrimitiveModify()
         throws Exception
   {
      String attr = "";
      getLog().debug("Enter testNonPrimitiveModify");

      getLog().debug(setUrl + ":::::::" + getUrl);

// Create an instance of HttpClient.
      HttpClient client = new HttpClient();

// Set the session attribute first
      HttpMethod m1 = new GetMethod(setUrl);
      makeGet(client, m1);
      sleepThread(4);

// Create a method instance.
      HttpMethod method = new GetMethod(getUrl);
//    Get the Attribute set
      String attrOld = makeGet(client, method);

// Modify a method instance.
      method = new GetMethod(modifyUrl);
//    Get the Attribute set
      makeGet(client, method);
      sleepThread(4);

// Create a method instance.
      method = new GetMethod(getUrl);
//    Get the Attribute set
      attr = makeGet(client, method);

      restartTomcat(1);

//    Make connection and get
      method = new GetMethod(getUrl);
      String attr2 = makeGet(client, method);

      String tstr = "attr1=" + attr + " and attr2=" + attr2;
      String tstr1 = "attrOld=" + attrOld + " and attr=" + attr;

// Check the result
      assertEquals("Attributes should be the same", attrOld, attr2);
      getLog().debug("Exit testNonPrimitiveModify");
   }


}
